/* =========================
   RESET
========================= */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    background:#050505;
    color:#fff;
    font-family:'Playfair Display',serif;
    line-height:1.7;
    overflow-x:hidden;
}

/* =========================
   VARIABLES
========================= */

:root{
    --gold:#d4af37;
    --gold-light:#f4d03f;
    --black:#050505;
    --card:#111111;
    --card2:#161616;
    --text:#ffffff;
    --muted:#b5b5b5;
    --border:rgba(212,175,55,.2);
}

/* =========================
   GLOBAL
========================= */

.container{
    width:90%;
    max-width:1280px;
    margin:auto;
}

.section{
    padding:110px 0;
}

h1,h2,h3,h4{
    font-weight:700;
}

span{
    /* color:var(--gold);*/
        background: linear-gradient(135deg, hsl(43 80% 52%) 0%, hsl(35 80% 55%) 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent; 
}

a{
    text-decoration:none;
}

.section-heading{
    text-align:center;
    margin-bottom:70px;
}

.section-heading h2{
    font-size:4rem;
    margin-bottom:20px;
}

.section-heading p{
    color:var(--muted);
    max-width:1000px;
    margin:auto;
        font-size: 1.4rem;
    line-height: 2rem;
    letter-spacing: 1px;
}

.section-badge{
    display:inline-block;
    border:1px solid var(--border);
    /* background:rgba(212,175,55,.08); */
    color:var(--gold);
    padding:7px 18px;
    border-radius:50px;
    margin-bottom:20px;
        background: linear-gradient(135deg, hsl(43 80% 52%) 0%, hsl(35 80% 55%) 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 15px;
    text-transform: uppercase;
    font-weight: 700;
    font-family: sans-serif;
}

/* =========================
   BUTTONS
========================= */

.btn{
       display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 15px 53px;
    border-radius: 16px;
    font-weight: 700;
    transition: .35s;
    font-size: 17px;
    font-family: sans-serif;
}

.btn-primary{
    background:linear-gradient(135deg, hsl(43 80% 52%) 0%, hsl(35 80% 55%) 100%);;
    color:#000;
}

.btn-primary:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 30px rgba(212,175,55,.3);
}

.btn-outline{
    border:1px solid var(--gold);
    color:var(--gold);
}

.btn-outline:hover{
    background:var(--gold);
    color:#000;
}

/* =========================
   HEADER
========================= */

.header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    z-index:999;
    backdrop-filter:blur(12px);
    background:rgba(0,0,0,.75);
    border-bottom:1px solid rgba(255,255,255,.05);
}

.navbar{
    display:flex;
    justify-content:space-between;
    align-items:center;
    height:90px;
}

.logo{
    display:flex;
    align-items:center;
    gap:12px;
    color:#fff;
    font-size:1.2rem;
    font-weight:700;
}

.logo-icon{
    width:210px;
    height:42px;
    border-radius:50%;
    background:var(--gold);
    color:#000;
    display:flex;
    justify-content:center;
    align-items:center;
}

.nav-links{
    display:flex;
    list-style:none;
    gap:35px;
}

.nav-links a{
    color:#fff;
    transition:.3s;
}

.nav-links a:hover{
    color:var(--gold);
}

.menu-toggle{
    display:none;
    font-size:28px;
    background:none;
    border:none;
    color:white;
    cursor:pointer;
}

/* =========================
   HERO
========================= */

.hero{
    min-height:100vh;
    display:flex;
    align-items:center;
    padding-top:140px;
}

.hero-content{
    text-align:center;
}

.badge{
    display:inline-block;
    color:var(--gold);
    border:1px solid var(--border);
    background:rgba(212,175,55,.08);
    padding:12px 22px;
    border-radius:50px;
    margin-bottom:30px;
}

.hero h1{
    font-size:5.7rem;
    line-height:1.1;
    margin-bottom:25px;
}

.hero-text{
       max-width: 739px;
    margin: auto;
    color: var(--muted);
    font-size: 23px;
    letter-spacing: 0.4px;
    font-family: "Inter", sans-serif;
}

.hero-buttons{
    margin-top:45px;
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;
}

/* =========================
   STATS
========================= */

.hero-stats{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
    margin-top:70px;
}

.stat-card{
    background:var(--card);
    border:1px solid var(--border);
    border-radius:20px;
    padding:30px;
}

.stat-card h3{
    color:var(--gold);
    font-size:2rem;
    margin-bottom:10px;
}

.stat-card p{
    color:var(--muted);
}

.highlight{
    background:linear-gradient(
        135deg,
        rgba(212,175,55,.15),
        rgba(212,175,55,.05)
    );
}

/* =========================
   METRICS
========================= */

.metrics-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:25px;
}

.metric-card{
    background:var(--card);
    border:1px solid var(--border);
    padding:35px;
    border-radius:20px;
    text-align:center;
}

.metric-card h3{
    color:var(--gold);
    font-size:2rem;
}

/* =========================
   FEATURES
========================= */

.feature-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

.feature-card{
    background:var(--card);
    border:1px solid var(--border);
    padding:40px;
    border-radius:25px;
    transition:.35s;
}

.feature-card:hover{
    transform:translateY(-10px);
}

.feature-icon{
    width:65px;
    height:65px;
    border-radius:50%;
    background:rgba(212,175,55,.15);
    color:var(--gold);
    display:flex;
    align-items:center;
    justify-content:center;
    margin-bottom:20px;
    font-size:24px;
}

.feature-card h3{
    margin-bottom:15px;
}

.feature-card p{
    color:var(--muted);
}

/* =========================
   FLOW
========================= */

.flow-box{
    background:var(--card);
    border:1px solid var(--border);
    border-radius:30px;
    padding:60px;
}

.flow-box h2{
    text-align:center;
    font-size:2.5rem;
    margin-bottom:50px;
}

.flow-wrapper{
    display:flex;
    align-items:center;
    justify-content:center;
    gap:25px;
}

.flow-step{
    width:280px;
    padding:35px;
    text-align:center;
    background:var(--card2);
    border-radius:20px;
    border:1px solid var(--border);
}

.flow-price{
    color:var(--gold);
    font-size:2rem;
    margin-bottom:15px;
}

.flow-arrow{
    font-size:2rem;
    color:var(--gold);
}

/* =========================
   CALCULATOR
========================= */

.calculator-box{
    max-width:850px;
    margin:auto;
    background:var(--card);
    border:1px solid var(--border);
    border-radius:30px;
    padding:45px;
}

.plan-selector{
    display:flex;
    gap:20px;
    margin-bottom:35px;
}

.plan-btn{
    flex:1;
    background:#111;
    color:white;
    border:1px solid var(--border);
    padding:20px;
    border-radius:16px;
    cursor:pointer;
    font-family:'Playfair Display',serif;
}

.plan-btn.active{
    background:rgba(212,175,55,.15);
    border-color:var(--gold);
}

.plan-btn span{
    display:block;
    margin-top:5px;
}

.input-group{
    margin-bottom:30px;
}

.input-group label{
    display:block;
    margin-bottom:10px;
}

.input-group input{
    width:100%;
    padding:18px;
    background:#0d0d0d;
    border:1px solid var(--border);
    border-radius:15px;
    color:white;
    font-size:1rem;
}

.results-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
    margin-bottom:30px;
}

.result-card{
    text-align:center;
    padding:25px;
    background:#0f0f0f;
    border-radius:20px;
    border:1px solid var(--border);
}

.result-card small{
    color:var(--muted);
}

.result-card h3{
    margin-top:10px;
    color:white;
}

.active-result h3{
    color:var(--gold);
}

.calc-btn{
    width:100%;
}

/* =========================
   FOOTER
========================= */

footer{
    padding:60px 0;
    border-top:1px solid rgba(255,255,255,.08);
    text-align:center;
    color:var(--muted);
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:992px){

.hero h1{
    font-size:4rem;
}

.hero-stats,
.metrics-grid,
.feature-grid,
.results-grid{
    grid-template-columns:repeat(2,1fr);
}

.flow-wrapper{
    flex-direction:column;
}

.flow-arrow{
    transform:rotate(90deg);
}

}

@media(max-width:768px){

.menu-toggle{
    display:block;
}

.desktop-btn{
    display:none;
}

.nav-links{
    position:absolute;
    top:90px;
    left:0;
    width:100%;
    background:#050505;
    flex-direction:column;
    text-align:center;
    padding:30px 0;
    display:none;
}

.nav-links.active{
    display:flex;
}

.hero h1{
    font-size:3rem;
}

.section-heading h2{
    font-size:2.2rem;
}

.hero-stats,
.metrics-grid,
.feature-grid,
.results-grid{
    grid-template-columns:1fr;
}

.plan-selector{
    flex-direction:column;
}

.flow-step{
    width:100%;
}

}

@media(max-width:576px){

.hero{
    padding-top:120px;
}

.hero h1{
    font-size:2.4rem;
}

.section{
    padding:80px 0;
}

.calculator-box{
    padding:25px;
}

.flow-box{
    padding:30px;
}

}


/* =========================
   RETURNS CALCULATOR
========================= */

.returns-calculator{
    padding:120px 0;
    background:#020202;
    color:#fff;
    font-family:'Playfair Display',serif;
}

.calculator-grid{
    display:grid;
    grid-template-columns:1fr 1.25fr;
    gap:80px;
    align-items:start;
}

.small-label{
    display:inline-block;
    color:#d4af37;
    letter-spacing:4px;
    font-size:12px;
    margin-bottom:20px;
}

.calculator-content h2{
    font-size:41px;
    line-height:1.1;
    font-weight:500;
    margin-bottom:25px;
}

.calculator-content p{
      color: #949494;
    font-size: 16px;
    line-height: 1.9;
    max-width: 500px;
    font-family: inter,sans-serif;
}

.calculator-content p span{
    color:#d4af37;
}

/* =========================
   CARD
========================= */

.calculator-card{

    background:
    linear-gradient(
        180deg,
        rgba(18,18,18,.95),
        rgba(5,5,5,.98)
    );

    border:1px solid rgba(212,175,55,.15);

    border-radius:30px;

    padding:50px;

    box-shadow:
    0 20px 60px rgba(0,0,0,.45),
    inset 0 1px 0 rgba(255,255,255,.03);

    backdrop-filter:blur(10px);

}

.card-label{
    color:#888;
    letter-spacing:3px;
    font-size:11px;
    display:block;
}

#allocationValue{
    font-size:50px;
    font-weight:400;
    margin-top:15px;
    line-height:1;
}

.tier-section{
    margin-top:40px;
}

#tierName{
     font-size: 44px;
    font-weight: 400;
    color: #d4af37;
    margin-top: 4px;
}

#aprText{
    margin-top:10px;
    color:#bdbdbd;
    letter-spacing:2px;
    font-size:13px;
}

/* =========================
   SLIDER
========================= */

.slider-wrap{
    margin-top:50px;
}

#allocationSlider{
    width:100%;
    height:8px;
    border-radius:100px;
    appearance:none;
    -webkit-appearance:none;
    background:linear-gradient(
        90deg,
        #8a6a12,
        #d4af37,
        #f4d03f
    );
    outline:none;
    cursor:pointer;
}

#allocationSlider::-webkit-slider-thumb{
    -webkit-appearance:none;
    width:24px;
    height:24px;
    border-radius:50%;
    background:#d4af37;
    border:3px solid #fff;
    cursor:pointer;

    box-shadow:
    0 0 0 4px rgba(212,175,55,.15),
    0 5px 15px rgba(212,175,55,.4);

    transition:.15s ease;
}

#allocationSlider::-webkit-slider-thumb:hover{
    transform:scale(1.15);
}

#allocationSlider::-moz-range-thumb{
    width:24px;
    height:24px;
    border:none;
    border-radius:50%;
    background:#d4af37;
    cursor:pointer;
}

.slider-labels{
    display:flex;
    justify-content:space-between;
    margin-top:14px;
    color:#888;
    font-size:11px;
    letter-spacing:2px;
}

/* =========================
   INPUT
========================= */

.manual-input{
    margin-top:40px;
}

.manual-input label{
    display:block;
    margin-bottom:12px;
    color:#d0d0d0;
}

.manual-input input{
    width:100%;
    padding:18px;
    background:#0d0d0d;
    border:1px solid rgba(212,175,55,.15);
    border-radius:12px;
    color:#fff;
    font-size:18px;
    transition:.3s;
}

.manual-input input:focus{
    outline:none;
    border-color:#d4af37;
    box-shadow:
    0 0 0 4px rgba(212,175,55,.08);
}

/* =========================
   RESULTS
========================= */

.results{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
    margin-top:50px;
}

.result-item{
    border-left:1px solid rgba(255,255,255,.08);
    padding-left:20px;
}

.result-item:first-child{
    border-left:none;
    padding-left:0;
}

.result-item span{
    display:block;
    color:#8f8f8f;
    font-size:11px;
    letter-spacing:2px;
}

.result-item h5{
    font-size:36px;
    font-weight:400;
    margin-top:12px;
    color:#fff;
    transition:.3s;
}

.result-item:hover h5{
    color:#d4af37;
}

/* =========================
   NOTE
========================= */

.note{
    margin-top:40px;
    color:#888;
    font-size:14px;
    line-height:1.8;
}

/* =========================
   BUTTON
========================= */

.allocation-btn{
    width:100%;
    margin-top:35px;
    padding:18px;
    border:none;
    border-radius:12px;
    background:#d4af37;
    color:#000;
    font-weight:700;
    letter-spacing:2px;
    cursor:pointer;
    transition:.3s;
}

.allocation-btn:hover{
    transform:translateY(-2px);

    box-shadow:
    0 10px 30px rgba(212,175,55,.35);
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:1200px){

    .calculator-content h2{
        font-size:58px;
    }

    #allocationValue{
        font-size:54px;
    }

}

@media(max-width:992px){

    .calculator-grid{
        grid-template-columns:1fr;
        gap:50px;
    }

    .calculator-content h2{
        font-size:48px;
    }

    .calculator-content p{
        max-width:100%;
    }

}

@media(max-width:768px){

    .returns-calculator{
        padding:80px 0;
    }

    .calculator-card{
        padding:30px;
    }

    .results{
        grid-template-columns:1fr;
        gap:25px;
    }

    .result-item{
        border-left:none;
        padding-left:0;
    }

    #allocationValue{
        font-size:42px;
    }

    #tierName{
        font-size:34px;
    }

    .result-item h5{
        font-size:28px;
    }

}

@media(max-width:480px){

    .calculator-content h2{
        font-size:36px;
    }

    #allocationValue{
        font-size:34px;
    }

    #tierName{
        font-size:28px;
    }

    .slider-labels{
        font-size:9px;
        gap:10px;
    }

    .allocation-btn{
        font-size:12px;
        letter-spacing:1px;
    }

}

.plans-wrapper {
  width: 100%;
  padding: 25px 15px;
  
  display: flex;
  justify-content: center;
  gap: 16px;
  flex-wrap: wrap;
}

.plan-card {
  width: 309px;
  min-height: 98px;
  background: linear-gradient(145deg, #171717, #101010);
  border: 1px solid rgba(255,255,255,0.08);
  border-radius: 16px;
  display: grid;
  grid-template-columns: 1fr auto 1px 1.15fr;
  align-items: center;
  column-gap: 16px;
  padding: 22px 32px;
  /* box-shadow: 0 18px 40px rgba(0,0,0,0.45); */
  box-shadow: 0 10px 30px rgba(212, 175, 55, .3);
}

.plan-card.active {
  border-color: rgba(218, 157, 17, 0.65);
  background: linear-gradient(145deg, #161616, #0b0b0b);
}

.plan-title {
  grid-column: 1 / 3;
  grid-row: 1;
  font-size: 12px;
  letter-spacing: .6px;
  color: #8f8f8f;
  font-weight: 600;
  margin-bottom: 28px;
}

.plan-percent {
  grid-column: 1 / 3;
  grid-row: 1;
  align-self: end;
  justify-self: center;
  font-family: Georgia, serif;
  font-size: 32px;
  line-height: 1;
  color: #e3a516;
  font-weight: 700;
}

.plan-line {
  width: 1px;
  height: 47px;
  background: rgba(227,165,22,0.28);
}

.plan-info h4 {
  margin: 0;
  font-size: 15px;
  line-height: 1.2;
  color: #f4f4f4;
  font-weight: 800;
}

.plan-info p {
  margin: 3px 0 0;
  font-size: 13px;
  color: #8f8f8f;
}

/* Responsive */
@media (max-width: 767px) {
  .plans-wrapper {
    gap: 14px;
  }

  .plan-card {
    width: 100%;
    max-width: 360px;
    padding: 20px 26px;
  }
}

@media (max-width: 420px) {
  .plan-card {
    grid-template-columns: 1fr auto 1px 1fr;
    column-gap: 12px;
    padding: 18px 20px;
  }

  .plan-percent {
    font-size: 28px;
  }

  .plan-info h4 {
    font-size: 14px;
  }

  .plan-info p {
    font-size: 12px;
  }
}


/* ==========================
   PARITY WEALTH FOOTER
   Fully Isolated Classes
========================== */

.pw-footer{
    background:#000;
    padding:80px 20px 40px;
    color:#fff;
    width:100%;
    position:relative;
}

.pw-footer-container{
    max-width:1260px;
    margin:auto;
}

.pw-footer-top{
    display:grid;
    grid-template-columns:1.5fr 1fr 1fr;
    gap:80px;
    align-items:flex-start;
}

.pw-footer-logo-wrap{
    display:flex;
    align-items:center;
    gap:18px;
    margin-bottom:28px;
}

.pw-footer-logo{
    width:52px;
    height:52px;
    border-radius:14px;
    background:#d4a017;
    color:#000;
    font-size:30px;
    font-weight:700;
    display:flex;
    align-items:center;
    justify-content:center;
    font-family:serif;
}

.pw-footer-title{
    font-size:22px;
    font-weight:600;
    color:#fff;
}

.pw-footer-title span{
    color:#d4a017;
}

.pw-footer-description{
       max-width: 408px;
    font-size: 16px;
    line-height: 1.8;
    color: #949494;
    text-align: start;
    font-family: "Inter", sans-serif;
}

.pw-footer-links h4{
       color: #fff;
    font-size: 18px;
    margin-bottom: 23px;
    font-weight: 600;
    text-align: start;
}

.pw-footer-links ul{
    margin:0;
    padding:0;
    list-style:none;
}

.pw-footer-links li{
        margin-bottom: 18px;
    text-align: start;
    color: #949494;
    font-family: inter ,sans-serif;
}

.pw-footer-links a{
        text-decoration: none;
    color: #949494;
    font-size: 16px;
    transition: 0.3s;
}

.pw-footer-links a:hover{
    color:#d4a017;
}

.pw-footer-divider{
    height:1px;
    background:rgba(255,255,255,0.08);
    margin:70px 0 40px;
}

.pw-footer-bottom{
    display:flex;
    justify-content:space-between;
    gap:40px;
    align-items:flex-start;
}

.pw-footer-copy{
       color: #949494;
    font-size: 13px;
    font-family: inter,sans-serif;
}

.pw-footer-disclaimer{
      max-width: 586px;
    text-align: right;
    color: #949494;
    font-size: 13px;
    line-height: 1.6;
    font-family: inter,sans-serif;
}

/* ==========================
   TABLET
========================== */

@media (max-width:991px){

    .pw-footer-top{
        grid-template-columns:1fr 1fr;
        gap:50px;
    }

    .pw-footer-brand{
        grid-column:1/-1;
    }

    .pw-footer-bottom{
        flex-direction:column;
        gap:20px;
    }

    .pw-footer-disclaimer{
        text-align:left;
        max-width:100%;
    }
}

/* ==========================
   MOBILE
========================== */

@media (max-width:767px){

    .pw-footer{
        padding:60px 20px 30px;
    }

    .pw-footer-top{
        grid-template-columns:1fr;
        gap:40px;
    }

    .pw-footer-title{
        font-size:20px;
    }

    .pw-footer-description{
        font-size:15px;
    }

    .pw-footer-links h4{
        margin-bottom:20px;
    }

    .pw-footer-links li{
        margin-bottom:16px;
    }

    .pw-footer-copy,
    .pw-footer-disclaimer{
        font-size:14px;
    }
}